--AH:ScriptId=03dc916e-3956-4e10-bc74-b0ba38dfb80c;709
ALTER TABLE [VariableDefinitions]
	ADD [Scope_Code] AS 
	    CASE
            WHEN [Server_Id] IS NOT NULL THEN CAST('V' AS CHAR(1))
            WHEN [ApplicationGroup_Id] IS NOT NULL THEN CAST('G' AS CHAR(1))
            WHEN [Deployable_Id] IS NOT NULL THEN CAST('D' AS CHAR(1))
            WHEN [Environment_Id] IS NOT NULL AND [Build_Number] IS NULL THEN CAST('E' AS CHAR(1))
            WHEN [Application_Id] IS NOT NULL AND [Release_Number] IS NULL THEN CAST('A' AS CHAR(1))
            WHEN [Release_Number] IS NOT NULL AND [Build_Number] IS NULL THEN CAST('R' AS CHAR(1))
            WHEN [Build_Number] IS NOT NULL AND [Environment_Id] IS NULL THEN CAST('B' AS CHAR(1))
            WHEN [Environment_Id] IS NOT NULL AND [Execution_Id] IS NULL THEN CAST('P' AS CHAR(1))
            WHEN [Execution_Id] IS NOT NULL THEN CAST('X' AS CHAR(1))
        ELSE CAST('S' AS CHAR(1))
	    END PERSISTED NOT NULL

ALTER TABLE [VariableDefinitions]
	ALTER COLUMN [Value_Text] VARCHAR(MAX) NULL